# Introduction

Recent years have seen increasing evidence for and acceptance of behavior therapies for tic disorders such as Tourette syndrome \cite{Capriotti_2014}. Tic suppression plays a key role in these therapies \cite{24924158}. One of these is exposure and response prevention (ERP), a first-line treatment for obsessive-compulsive disorder. ERP also showed similar tic reduction efficacy to the most well-studied behavior therapy for tics in a randomized, controlled trial \cite{15033497}. However, tic suppression, an essential component of ERP, is difficult or frustrating for some tic patients. Fortunately, we showed that even children with recent-onset tic disorders could suppress tics when brief tic-free periods were rewarded immediately by small tokens \cite{25220075}. Our experience with that study and in an unrelated project suggested to us that automating the process of immediate rewards for tic-free intervals might facilitate ERP, even in those who at first could suppress tics only for a few seconds at a time \cite{26798573,TicTimer}. 

Here we present a simple, web-based tool to facilitate training intended to allow increasing periods of tic suppression. Design goals included using this program to record tics, to provide rewards for tic suppression in a video-game-like format that many children would be familiar with, to gradually increase rewards for increasing periods of tic suppression, to respect confidentiality, to gather anonymous information that can be used to assess use patterns and initial information about efficacy and safety, and to provide features that facilitate research use, _i.e._ creation of research subject accounts that can be assigned to different reward schedules at different points in time. 

