# Methods

## Implementation
The TicTrainer server is written in JavaScript, using the Node.js runtime. 

### Account registration & anonymity
The system is designed to ensure security of users' personally identifying information. Instead of recording a name, each user is assigned a simple account ID used to log on. To track the collective age of users and to allow potential individualized training dependent on age, the user is asked his or her birth month and year. However, the system saves only a randomly chosen birthdate within 45 days of the 15th day of the month supplied.

Admins can flag certain users as research participants and assign them to receive rewards differently from regular users. They can also view system and session log files or create another admin account.

### Storing data
Each user and trainer account has its own text-based account data file on the server. This is a simple way to store modest amounts of data without using a database, at the possible expense of keeping numerous files open simultaneously if traffic to a single site becomes very heavy. System design may need to change if the number of users increases very substantially.

### Logging on
A user's ID, password, and other account information are sent back and forth as needed between client and server. When a user types his ID and password into the "Manage Account" sign in page, for example, the server sends back a unique web page that includes the credentials as he provided them and some information loaded from his account data. If he edits something in his account, those same credentials are sent back to the server for authentication along with the new data. 

Any page on the website that has information specific to a signed-in user is created dynamically by the server. These dynamic web pages are stored as .dynh files on the server. (".dynh" is a custom extension which stands for DYNamic Html.) These files have designated locations for the server to inject the required unique fields (usually these include the user's ID and password) before sending the edited page back to the client.  Almost every page involved in a training session is stored and generated this way by the server, so as to preserve the user's credentials as she typed them at the beginning of the session.

During a session, the server mediates between the user and trainer via a session log file. When the trainer records a user's tic, the trainer's page sends an XMLHttpRequest asking the server to write a line to the log file. On the other side, the user's page continually checks the session log file on the server for changes, so it can reset the rewards when the user tics and end the session when the trainer leaves. At the end of a session, the log file is archived with the end time in the filename.
